%define _buildid .6

%global py26nvr python26-pyliblzma-%{version}-%{release}
%global py26builddir %{_builddir}/%{py26nvr}
%global py26doc ../%{py26nvr}

%global py27nvr python27-pyliblzma-%{version}-%{release}
%global py27builddir %{_builddir}/%{py27nvr}
%global py27doc ../%{py27nvr}

%bcond_without tests # with

%global upstream_name pyliblzma

Name: python-pyliblzma
Version: 0.5.3
Release: 11%{?_buildid}%{?dist}
Summary: Python bindings for lzma
Group: Development/Languages
License: LGPLv3+
URL: https://launchpad.net/pyliblzma
Source0: http://pypi.python.org/packages/source/p/pyliblzma/pyliblzma-%{version}.tar.bz2
Patch0: no-script-liblzma.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: python26
BuildRequires: python27

%description
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be decompressed
by Lasse Collin's lzma utils.

%package -n python26-pyliblzma
Summary: Python bindings for lzma
BuildRequires: python26-devel
BuildRequires: python26-setuptools
BuildRequires: python26-test
BuildRequires: xz-devel
Provides: python-pyliblzma = %{version}-%{release}
Provides: pyliblzma = %{version}-%{release}
Provides: pyliblzma%{?_isa} = %{version}-%{release}
Provides: python-pyliblzma%{?_isa} = %{version}-%{release}
Obsoletes: pyliblzma <= 0.5.3-11.4.amzn1
Obsoletes: python-pyliblzma <= 0.5.3-11.4.amzn1

%description -n python26-pyliblzma
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be decompressed
by Lasse Collin's lzma utils.

This package is meant to be used with Python 2.6.

%package -n python27-pyliblzma
Summary: Python bindings for lzma
BuildRequires: python27-devel
BuildRequires: python27-setuptools
BuildRequires: python27-test
BuildRequires: xz-devel

%description -n python27-pyliblzma
PylibLZMA provides a python interface for the liblzma library
to read and write data that has been compressed or can be decompressed
by Lasse Collin's lzma utils.

This package is meant to be used with Python 2.7.

%prep
%setup -q -n %{upstream_name}-%{version}
%patch0 -p1

%build
rm -rf %{py26builddir}
mkdir -p %{py26builddir}
cp -a * %{py26builddir}
pushd %{py26builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python26} setup.py build 
popd

rm -rf %{py27builddir}
mkdir -p %{py27builddir}
cp -a * %{py27builddir}
pushd %{py27builddir}
CFLAGS="$RPM_OPT_FLAGS" %{__python27} setup.py build 
popd

%install
rm -rf %{buildroot}

pushd %{py26builddir}
%{__python26} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

pushd %{py27builddir}
%{__python27} setup.py install -O1 --skip-build --root %{buildroot} --install-layout=amzn
popd

%check
%if %{with tests}
pushd %{py26builddir}
%{__python26} setup.py test
popd
pushd %{py27builddir}
%{__python27} setup.py test
popd
%endif

%clean
rm -rf %{buildroot}
rm -rf %{py26builddir}
rm -rf %{py27builddir}

%files -n python26-pyliblzma
%doc README THANKS ChangeLog NEWS
%attr(0755,-,-) %{python26_sitearch}/lzma.so
%{python26_sitearch}/liblzma.py*
%{python26_sitearch}/pyliblzma*.egg-info

%files -n python27-pyliblzma
%doc README THANKS ChangeLog NEWS
%attr(0755,-,-) %{python27_sitearch}/lzma.so
%{python27_sitearch}/liblzma.py*
%{python27_sitearch}/pyliblzma*.egg-info

%changelog
* Tue Feb 3 2015 Ben Cressey <bcressey@amazon.com>
- build for multiple pythons

* Wed May 7 2014 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/pyliblzma-0.5.3-11.el7

* Tue Jan 28 2014 Daniel Mach <dmach@redhat.com> - 0.5.3-11
- Mass rebuild 2014-01-24

* Fri Jan 24 2014 James Antill <james.antill@redhat.com> - 0.5.3-10
- Add python-test Build Requires so %check works again.
- Resolves: rhbz#1044625

* Fri Dec 27 2013 Daniel Mach <dmach@redhat.com> - 0.5.3-9
- Mass rebuild 2013-12-27

* Fri Dec 13 2013 Cristian Gafton <gafton@amazon.com>
- import source package RHEL7/pyliblzma-0.5.3-8.el7

* Thu Dec 12 2013 Cristian Gafton <gafton@amazon.com>
- setup complete for package pyliblzma

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Sat Aug 4 2012 Lee Trager <ltrager@amazon.com>
- Add package group

* Fri Aug 3 2012 Lee Trager <ltrager@amazon.com>
- Change BuildRequires to python-devel from python2-devel

* Sat Jul 21 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Sat Jan 14 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Thu Jul 21 2011 Cristian Gafton <gafton@amazon.com>
- import source package EPEL6/pyliblzma-0.5.3-3.el6

* Tue Jul 19 2011 Cristian Gafton <gafton@amazon.com>
- setup complete for package pyliblzma

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.5.3-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jul 27 2010 David Malcolm <dmalcolm@redhat.com> - 0.5.3-4
- Rebuilt for https://fedoraproject.org/wiki/Features/Python_2.7/MassRebuild

* Fri Jun  4 2010 Seth Vidal <skvidal at fedoraproject.org> - 0.5.3-3
- set perms on lzma.so to 0755 so wonky umasks don't impact it

* Fri May 14 2010 Seth Vidal <skvidal at fedoraproject.org> - 0.5.3-1
- cleanup from upstream spec to fedora-ish style/reqs
